%global ppp_ver %(rpm -q --queryformat "%{VERSION}" ppp)

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	NetworkManager VPN integration for PPTP
Name:		networkmanager-pptp
Version:	1.2.12
Release:	%mkrel 1
License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/NetworkManager
Group:		System/Base
Source0:	https://download.gnome.org/sources/NetworkManager-pptp/%{url_ver}/NetworkManager-pptp-%version.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnma)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	intltool
BuildRequires:	ppp-devel
Requires:	networkmanager
Requires:	pptp-linux
Requires:	ppp = %{ppp_ver}

%description
This package contains software for integrating the PPTP VPN
with NetworkManager and the GNOME desktop.

%prep
%setup -q -n NetworkManager-pptp-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_ver} \
	--without-libnm-glib \
	--without-gtk4

%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang NetworkManager-pptp

%files -f NetworkManager-pptp.lang
%{_libdir}/NetworkManager/libnm-vpn-plugin-pptp.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-pptp-editor.so
%{_libdir}/pppd/%{ppp_ver}/nm-pptp-pppd-plugin.so
%{_libexecdir}/nm-pptp-auth-dialog
%{_libexecdir}/nm-pptp-service
%{_prefix}/lib/NetworkManager/VPN/nm-pptp-service.name
%{_datadir}/dbus-1/system.d/nm-pptp-service.conf
%{_datadir}/metainfo/network-manager-pptp.metainfo.xml


%changelog
* Sun Jul 16 2023 tex - 1.2.12-1pclos2023
- new version

* Thu May 20 2021 tex - 1.2.8-1pclos2021
- create pkg
